### Function

# Hex DocumentFindData new

since: 4.2

#### Declaration

    HexDocumentFindData*
    hex_document_find_data_new (
      void
    )

#### Description

Create a new empty `HexDocumentFindData` structure.

Available since: 4.2

#### Return value

Type: `HexDocumentFindData`

A new `HexDocumentFindData` structure. Can be freed with `g_free ()`.

The caller of the function takes ownership of the data, and is responsible for freeing it.